//Self explanatory
const API_URL = "https://pageify.be/"

const verifyKey = async (key) => {
	const response = await fetch(API_URL + "check_key.lasso?keyid=" + key)
	const rawText = await response.text()
	return rawText.trim() == "Valid"
}

chrome.storage.local.get(['keyid'], async function(result) {
	if(result.keyid) {
		//chrome.browserAction.setPopup({popup: "result.html"});
		if(!await verifyKey(result.keyid)) return;
		location.href = "loggedin.html"
		return;
	}
});

window.onload = async (ev) => {
	chrome.storage.local.get(['keyid'], async function(result) {
		if(result.keyid) {
			//chrome.browserAction.setPopup({popup: "result.html"});
			if(!await verifyKey(result.keyid)) return;
			location.href = "loggedin.html"
			return;
		}
	});
	const saveIdButton = document.getElementById("saveid")
	const gotoButton = document.getElementById("gotopageify")

	saveIdButton.onclick = async (ev) => {
		const idTextBox = document.getElementById("keyid")
		if(!await verifyKey(idTextBox.value)) return;
		chrome.storage.local.set({keyid: idTextBox.value})
		location.href = "loggedin.html"
	}

	gotoButton.onclick = (ev) => {
		window.open("https://pageify.be/mykey.lasso")
	}
}